<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ef7335b8-bbec-4f37-98f1-afce5abc80be" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.gradle/buildOutputCleanup/buildOutputCleanup.lock" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.gradle/buildOutputCleanup/cache.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.gradle/vcs-1/gc.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/build.gradle" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/gradlew" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/gradlew.bat" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/visualizer/Visualizer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/visualizer/entity/Coordinates.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/visualizer/entity/Location.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/visualizer/utils/OpenStreetMapUtils.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="main" type="396b929e:GradleViewContributor$SourceSetNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="main" type="396b929e:GradleViewContributor$SourceSetNode" />
                <item name="Dependencies" type="6de06a37:ExternalSystemViewDefaultContributor$MyDependenciesNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="test" type="396b929e:GradleViewContributor$SourceSetNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="test" type="396b929e:GradleViewContributor$SourceSetNode" />
                <item name="Dependencies" type="6de06a37:ExternalSystemViewDefaultContributor$MyDependenciesNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Source Sets" type="e897c970:GradleViewContributor$SourceSetsNode" />
                <item name="test" type="396b929e:GradleViewContributor$SourceSetNode" />
                <item name="Dependencies" type="6de06a37:ExternalSystemViewDefaultContributor$MyDependenciesNode" />
                <item name="mysql:mysql-connector-java:8.0.17" type="cfea851d:ExternalSystemViewDefaultContributor$LibraryDependencyDataExternalSystemNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="cdr-data-visualizer-elk" type="f1a62948:ProjectNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
                <item name="build" type="c8890929:TasksNode$1" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/visualizer/entity/Coordinates.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="187">
              <caret line="11" column="28" selection-start-line="11" selection-start-column="28" selection-end-line="11" selection-end-column="28" />
              <folding>
                <element signature="e#265#266#0" expanded="true" />
                <element signature="e#295#296#0" expanded="true" />
                <element signature="e#321#322#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/gradlew.bat">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="203">
              <caret line="22" column="19" selection-start-line="22" selection-start-column="12" selection-end-line="22" selection-end-column="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/gradle/wrapper/gradle-wrapper.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/visualizer/Visualizer.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="374">
              <caret line="22" column="13" lean-forward="true" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/gradlew">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="181">
              <caret line="117" column="53" selection-start-line="117" selection-start-column="53" selection-end-line="117" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/.gradle/buildOutputCleanup/cache.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/.gradle/vcs-1/gc.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Dockerfile.logstash">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/mysql/mysql-connector-java/8.0.17/7e685c802e252a43e47ec550b7894de85933e8d1/mysql-connector-java-8.0.17-sources.jar!/com/mysql/cj/protocol/a/SimplePacketReader.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="160">
              <caret line="44" selection-start-line="44" selection-end-line="44" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://C:/Program Files/Java/jdk1.8.0_211/src.zip!/java/sql/Connection.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="384">
              <caret line="204" column="8" lean-forward="true" selection-start-line="204" selection-end-line="205" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>scribe</find>
      <find>name</find>
      <find>sprin</find>
      <find>log4j</find>
      <find>vers</find>
      <find>version</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/com/visualizer/Visualizer.java" />
        <option value="$PROJECT_DIR$/src/com/visualizer/OpenStreetMapUtils.java" />
        <option value="$PROJECT_DIR$/build.gradle" />
        <option value="$PROJECT_DIR$/src/main/java/com/visualizer/OpenStreetMapUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/visualizer/Location.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/visualizer/utils/Visualizer.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/visualizer/utils/Location.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/visualizer/utils/OpenStreetMapUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/visualizer/entity/Coordinates.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/visualizer/Visualizer.java" />
      </list>
    </option>
  </component>
  <component name="ProjectConfigurationFiles">
    <option name="files">
      <list>
        <option value="$PROJECT_DIR$/.idea/cdr-data-visualizer-elk.iml" />
        <option value="$PROJECT_DIR$/.idea/misc.xml" />
        <option value="$PROJECT_DIR$/.idea/vcs.xml" />
        <option value="$PROJECT_DIR$/.idea/gradle.xml" />
        <option value="$PROJECT_DIR$/.idea/uiDesigner.xml" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1696" />
    <option name="height" value="1026" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="cdr-data-visualizer-elk" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="cdr-data-visualizer-elk" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name=".gradle" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="cdr-data-visualizer-elk" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name=".gradle" type="462c0819:PsiDirectoryNode" />
              <item name="buildOutputCleanup" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="cdr-data-visualizer-elk" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name=".gradle" type="462c0819:PsiDirectoryNode" />
              <item name="vcs-1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="cdr-data-visualizer-elk" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="build" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="cdr-data-visualizer-elk" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="gradle" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="cdr-data-visualizer-elk" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="gradle" type="462c0819:PsiDirectoryNode" />
              <item name="wrapper" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="&lt; 1.8 &gt;" type="70bed36:NamedLibraryElementNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="&lt; 1.8 &gt;" type="70bed36:NamedLibraryElementNode" />
              <item name="rt.jar" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="&lt; 1.8 &gt;" type="70bed36:NamedLibraryElementNode" />
              <item name="rt.jar" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="&lt; 1.8 &gt;" type="70bed36:NamedLibraryElementNode" />
              <item name="rt.jar" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="sql" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="&lt; 1.8 &gt;" type="70bed36:NamedLibraryElementNode" />
              <item name="rt.jar" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="util" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="&lt; 1.8 &gt;" type="70bed36:NamedLibraryElementNode" />
              <item name="rt.jar" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="util" type="462c0819:PsiDirectoryNode" />
              <item name="logging" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: ch.hsr:geohash:1.3.0" type="70bed36:NamedLibraryElementNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: ch.hsr:geohash:1.3.0" type="70bed36:NamedLibraryElementNode" />
              <item name="geohash-1.3.0.jar" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: ch.hsr:geohash:1.3.0" type="70bed36:NamedLibraryElementNode" />
              <item name="geohash-1.3.0.jar" type="462c0819:PsiDirectoryNode" />
              <item name="geohash" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: mysql:mysql-connector-java:8.0.17" type="70bed36:NamedLibraryElementNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: mysql:mysql-connector-java:8.0.17" type="70bed36:NamedLibraryElementNode" />
              <item name="mysql-connector-java-8.0.17.jar" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: mysql:mysql-connector-java:8.0.17" type="70bed36:NamedLibraryElementNode" />
              <item name="mysql-connector-java-8.0.17.jar" type="462c0819:PsiDirectoryNode" />
              <item name="mysql" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: mysql:mysql-connector-java:8.0.17" type="70bed36:NamedLibraryElementNode" />
              <item name="mysql-connector-java-8.0.17.jar" type="462c0819:PsiDirectoryNode" />
              <item name="mysql" type="462c0819:PsiDirectoryNode" />
              <item name="cj" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: mysql:mysql-connector-java:8.0.17" type="70bed36:NamedLibraryElementNode" />
              <item name="mysql-connector-java-8.0.17.jar" type="462c0819:PsiDirectoryNode" />
              <item name="mysql" type="462c0819:PsiDirectoryNode" />
              <item name="cj" type="462c0819:PsiDirectoryNode" />
              <item name="jdbc" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: mysql:mysql-connector-java:8.0.17" type="70bed36:NamedLibraryElementNode" />
              <item name="mysql-connector-java-8.0.17.jar" type="462c0819:PsiDirectoryNode" />
              <item name="mysql" type="462c0819:PsiDirectoryNode" />
              <item name="cj" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cdr-data-visualizer-elk" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Gradle: mysql:mysql-connector-java:8.0.17" type="70bed36:NamedLibraryElementNode" />
              <item name="mysql-connector-java-8.0.17.jar" type="462c0819:PsiDirectoryNode" />
              <item name="mysql" type="462c0819:PsiDirectoryNode" />
              <item name="cj" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="a" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../gradle-docker-cicd-skeleton" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.project.gradle" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\ravic\Git_personal\cdr-data-visualizer-elk\src\main\java" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.visualizer.entity" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\ravic\Git_personal\cdr-data-visualizer-elk" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.Visualizer">
    <configuration name="Visualizer" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.visualizer.Visualizer" />
      <module name="cdr-data-visualizer-elk.main" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.visualizer.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="cdr-data-visualizer-elk [build]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="build" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="cdr-data-visualizer-elk [clean]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="clean" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="cdr-data-visualizer-elk [jar]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="jar" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Visualizer" />
        <item itemvalue="Gradle.cdr-data-visualizer-elk [jar]" />
        <item itemvalue="Gradle.cdr-data-visualizer-elk [clean]" />
        <item itemvalue="Gradle.cdr-data-visualizer-elk [build]" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ef7335b8-bbec-4f37-98f1-afce5abc80be" name="Default Changelist" comment="" />
      <created>1570072923467</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1570072923467</updated>
      <workItem from="1570072924807" duration="705000" />
      <workItem from="1570073755511" duration="843000" />
      <workItem from="1570074640316" duration="21972000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="23520000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1696" height="1026" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.15953545" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Messages" sideWeight="0.49938875" weight="0.32922733" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.65525675" weight="0.32922733" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.4987775" weight="0.43337065" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" sideWeight="0.49938875" weight="0.32922733" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" sideWeight="0.6002445" weight="0.32922733" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" sideWeight="0.4987775" visible="true" weight="0.32922733" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.5012225" side_tool="true" visible="true" weight="0.32922733" />
      <window_info anchor="bottom" id="Build" order="12" sideWeight="0.596577" weight="0.32922733" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Theme Preview" order="4" />
      <window_info anchor="right" id="Maven" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Database" order="8" weight="0.3294621" />
      <window_info anchor="right" id="Gradle" order="9" visible="true" weight="0.19193155" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/visualizer/Visualizer.java</url>
          <line>35</line>
          <properties />
          <option name="timeStamp" value="17" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/visualizer/Visualizer.java</url>
          <line>55</line>
          <properties />
          <option name="timeStamp" value="18" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="evaluateExpression">
      <expression>
        <expression-string>geoHash.toBase32()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>geoHash.getPoint().hashCode()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>geoHash.getPoint()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>geoHash.toBinaryString()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>geoHash.toString()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>geoHash.toString().value</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>coordinates</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>rs.first()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>rs</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>DriverManager.getConnection(
                    &quot;jdbc:mysql://http://192.168.43.109:3306/sonar_data&quot;, &quot;root&quot;, &quot;root&quot;)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/.gradle/5.5/fileChanges/last-build.bin">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build/scripts/cdr-data-visualizer-elk">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build/scripts/cdr-data-visualizer-elk.bat">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build/tmp/jar/MANIFEST.MF">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build/classes/java/main/com/visualizer/Visualizer.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
          <folding>
            <element signature="e#0#229#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/docker-compose.yml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/mysql/mysql-connector-java/8.0.17/7e685c802e252a43e47ec550b7894de85933e8d1/mysql-connector-java-8.0.17-sources.jar!/com/mysql/cj/jdbc/NonRegisteringDriver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="186" selection-start-line="186" selection-end-line="186" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/mysql/mysql-connector-java/8.0.17/7e685c802e252a43e47ec550b7894de85933e8d1/mysql-connector-java-8.0.17-sources.jar!/com/mysql/cj/jdbc/ConnectionImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="1074" selection-start-line="1074" selection-end-line="1074" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/mysql/mysql-connector-java/8.0.17/7e685c802e252a43e47ec550b7894de85933e8d1/mysql-connector-java-8.0.17-sources.jar!/com/mysql/cj/jdbc/result/ResultSetImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="1720" selection-start-line="1720" selection-end-line="1720" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/mysql/mysql-connector-java/8.0.17/7e685c802e252a43e47ec550b7894de85933e8d1/mysql-connector-java-8.0.17-sources.jar!/com/mysql/cj/jdbc/AbandonedConnectionCleanupThread.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="77" selection-start-line="77" selection-end-line="77" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_211/src.zip!/java/util/logging/Level.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-268">
          <caret line="134" column="7" selection-start-line="134" selection-start-column="7" selection-end-line="134" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="500">
          <caret line="72" column="62" selection-start-line="72" selection-start-column="62" selection-end-line="72" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/visualizer/entity/Location.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="40" selection-start-line="6" selection-start-column="40" selection-end-line="6" selection-end-column="40" />
          <folding>
            <element signature="e#516#517#0" expanded="true" />
            <element signature="e#543#544#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/ch.hsr/geohash/1.3.0/9232928f489078ed147764b251a101fc972527b/geohash-1.3.0-sources.jar!/ch/hsr/geohash/GeoHash.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="206">
          <caret line="468" column="18" selection-start-line="468" selection-start-column="18" selection-end-line="468" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/visualizer/utils/OpenStreetMapUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="206">
          <caret line="28" selection-start-line="28" selection-end-line="28" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_211/src.zip!/java/sql/Connection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="384">
          <caret line="204" column="8" lean-forward="true" selection-start-line="204" selection-end-line="205" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/visualizer/entity/Coordinates.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="28" selection-start-line="11" selection-start-column="28" selection-end-line="11" selection-end-column="28" />
          <folding>
            <element signature="e#265#266#0" expanded="true" />
            <element signature="e#295#296#0" expanded="true" />
            <element signature="e#321#322#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/mysql/mysql-connector-java/8.0.17/7e685c802e252a43e47ec550b7894de85933e8d1/mysql-connector-java-8.0.17-sources.jar!/com/mysql/cj/protocol/a/SimplePacketReader.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="44" selection-start-line="44" selection-end-line="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/visualizer/Visualizer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="22" column="13" lean-forward="true" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Dockerfile.logstash">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/gradlew">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="117" column="53" selection-start-line="117" selection-start-column="53" selection-end-line="117" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradlew.bat">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="22" column="19" selection-start-line="22" selection-start-column="12" selection-end-line="22" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradle/wrapper/gradle-wrapper.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.gradle/buildOutputCleanup/outputFiles.bin">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.gradle/buildOutputCleanup/cache.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.gradle/vcs-1/gc.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>main|cdr-data-visualizer-elk</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>